## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class ResourceChangeEvent

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.ResourceChangeEvent

All Implemented Interfaces:
  IResourceChangeEvent

    public class ResourceChangeEvent

extends java.lang.Object
implements IResourceChangeEvent

Author:
  Idull

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IResourceChangeEvent
`POST_CHANGE, POST_DELETE, POST_RENAME, PRE_CHANGE, PRE_DELETE, PRE_RENAME`

Constructor Summary
`ResourceChangeEvent(java.lang.Object _source, int _type)`

Method Summary
`java.lang.Object` `getSource()` Returns the resouce object, which will be useful when the resource is changed.
`int` `getType()` Returns the type of the event

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceChangeEvent

    public ResourceChangeEvent(java.lang.Object _source,
                               int _type)

Method Detail

### getSource

    public java.lang.Object getSource()

  Description copied from interface: `IResourceChangeEvent`
  Returns the resouce object, which will be useful when the resource is changed.

  Specified by:
    `getSource` in interface `IResourceChangeEvent`
  Returns:

### getType

    public int getType()

  Description copied from interface: `IResourceChangeEvent`
  Returns the type of the event

  Specified by:
    `getType` in interface `IResourceChangeEvent`
  Returns:
  See Also:
    `IResourceChangeEvent.PRE_DELETE`, `IResourceChangeEvent.POST_DELETE`, `IResourceChangeEvent.PRE_RENAME`, `IResourceChangeEvent.POST_RENAME`, `IResourceChangeEvent.PRE_CHANGE`, `IResourceChangeEvent.POST_CHANGE`